classification
Title: {urllib,urllib.parse}.urlencode.__doc__ is unclear
Type: enhancement Stage: needs patch
Components: Library (Lib) Versions: Python 3.3, Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: orsenthil Nosy List: bbrazil, ezio.melotti, orsenthil, python-dev, samwyse
Priority: normal Keywords: patch

Created on 2012-07-14 11:05 by samwyse, last changed 2013-09-06 04:46 by orsenthil. This issue is now closed.

Files
File name Uploaded Description Edit
issue15350.patch bbrazil, 2012-09-28 11:18 review
Messages (5)
msg165440 - (view) Author: Samwyse (samwyse) Date: 2012-07-14 11:05
The doc string for url encode states:

    The query arg may be either a string or a bytes type. When query arg is a
    string, the safe, encoding and error parameters are sent to the quote_via
    function for encoding

IMHO, this implies that the argument can be a string.  Note that the preceding paragraphs starts out with "If the query arg is a sequence of two-element tuples". I think that it should read:

    The components of the query arg may be either a string or a bytes
    type. When query arg is a string, the safe, encoding and error
    parameters are sent to the quote_via function for encoding.
msg171438 - (view) Author: Brian Brazil (bbrazil) * Date: 2012-09-28 11:18
How does the attached patch look?

I also reworded the first line to be a bit clearer, and be under 80 chars.
msg172749 - (view) Author: Samwyse (samwyse) Date: 2012-10-12 14:52
Look good.  I'd fix the last line, however:  "sent the quote_plus" ->
"sent to the quote_plus function", maybe.

On Fri, Sep 28, 2012 at 6:18 AM, Brian Brazil <report@bugs.python.org> wrote:
>
> Brian Brazil added the comment:
>
> How does the attached patch look?
>
> I also reworded the first line to be a bit clearer, and be under 80 chars.
>
> ----------
> keywords: +patch
> nosy: +bbrazil
> Added file: http://bugs.python.org/file27329/issue15350.patch
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue15350>
> _______________________________________
msg197050 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-09-06 04:44
New changeset 975d1e180689 by Senthil Kumaran in branch 'default':
merge from 3.3
http://hg.python.org/cpython/rev/975d1e180689
msg197051 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2013-09-06 04:46
Fixed in 3.3 and cpython. 3.2 is security fix mode and patches are not backported. This does not apply to 2.7. Thanks for the patch.
History
Date User Action Args
2013-09-06 04:46:21orsenthilsetstatus: open -> closed
resolution: fixed
messages: + msg197051

versions: - Python 2.7, Python 3.2
2013-09-06 04:44:01python-devsetnosy: + python-dev
messages: + msg197050
2012-10-12 14:52:10samwysesetmessages: + msg172749
2012-09-28 11:18:41bbrazilsetfiles: + issue15350.patch

nosy: + bbrazil
messages: + msg171438

keywords: + patch
2012-07-23 02:53:38orsenthilsetassignee: orsenthil
2012-07-22 20:05:26ezio.melottisetnosy: + orsenthil, ezio.melotti
2012-07-14 11:24:07ezio.melottisetstage: needs patch
type: behavior -> enhancement
versions: - Python 2.6, Python 3.1
2012-07-14 11:05:33samwysecreate